create_resistor#

TwinBuilderComponents.create_resistor(name=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a resistor.

Parameters:
namestr, optional

Name of the resistor. The default value is None.

valuefloat, optional

Value for the resistor. The default value is 50.

locationlist of float, optional

Position on the X axis and Y axis. The default value is None.

anglefloat, optional

Angle rotation in degrees. The default value is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default value is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent